아마존 판매자 프로필
Amazon Seller Profile는 비즈니스 세부 정보, 스토어 링크, 평점, 피드백 요약을 포함하여 Amazon 판매자의 공개 프로필을 반환합니다.
Endpoint
섹션 제목: “Endpoint” GET https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_profile
Parameters
섹션 제목: “Parameters”| Parameter | Type | Required | Description |
|---|---|---|---|
api_key | string | yes | Amazon과 공유되는 SERP API 키입니다. |
engine | string | yes | amazon이어야 합니다. |
type | string | yes | seller_profile이어야 합니다. |
seller_id | string | yes | Amazon 판매자 ID입니다(예: AAZRLVTNON75Z). |
domain | string | no | 마켓플레이스 도메인이며, 기본값은 amazon.com입니다. |
device | desktop | mobile | no | 시뮬레이션할 기기입니다. |
Example request
섹션 제목: “Example request”curl "https://ecom.shifter.io/v1?engine=amazon&api_key=YOUR_API_KEY&type=seller_profile&seller_id=AAZRLVTNON75Z"import requests
params = { "engine": "amazon", "api_key": "YOUR_API_KEY", "type": "seller_profile", "seller_id": "AAZRLVTNON75Z",}r = requests.get("https://ecom.shifter.io/v1", params=params)data = r.json()import fetch from 'node-fetch';
const url = 'https://ecom.shifter.io/v1?' + new URLSearchParams({ engine: 'amazon', api_key: 'YOUR_API_KEY', type: 'seller_profile', seller_id: 'AAZRLVTNON75Z',});
const res = await fetch(url);const data = await res.json();Example response
섹션 제목: “Example response”{ "search_parameters": { "amazon_url": "https://www.amazon.com/sp?seller=AAZRLVTNON75Z", "engine": "amazon", "amazon_domain": "amazon.com", "type": "seller_profile", "seller_id": "AAZRLVTNON75Z" }, "seller_profile": { "seller_details": { "name": "Triplenet Pricing INC", "store_link": "https://www.amazon.com/s?me=AAZRLVTNON75Z", "logo": "https://m.media-amazon.com/images/I/11kriIp42uL.jpg", "rating": 4, "ratings_total": 4078, "ratings_positive_percentage": 74, "business_name": "Delaware", "business_address": "86 Albe Drive Suite 1C NEWARK DE 19702 US" }, "feedback_summary": [ { "positive_percent": 75, "neutral_percent": 1, "negative_percent": 24, "count": 366 }, { "positive_percent": 74, "neutral_percent": 2, "negative_percent": 24, "count": 4078 } ] }}